package me.km.plots;

import me.kt.api.Module;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.block.BlockExplodeEvent;
import org.bukkit.event.entity.EntityExplodeEvent;

public class ProtectionExplosion extends Protection
{
    public ProtectionExplosion(Module m) 
    {
        super(m);
    }
    
    @EventHandler(priority = EventPriority.LOWEST)
    public void BlockExplosionProtection(BlockExplodeEvent e)
    {
        if(e.getBlock().getWorld().getEnvironment() != World.Environment.NETHER)
        {
            e.setCancelled(true);
        } 
    }
    
    @EventHandler(priority = EventPriority.LOWEST)
    public void EntityExplosionProtection(EntityExplodeEvent e)
    {
        if(e.getLocation().getWorld().getEnvironment() != World.Environment.NETHER)
        {
            if(this.getProtectionBank().hasTag(e.getLocation(), "TNT"))
            {
                return;
            } 
            e.setCancelled(true);
        }   
    }
}
