package me.km.plots;

import me.km.api.Module;
import net.minecraftforge.event.world.BlockEvent;
import net.minecraftforge.fml.common.eventhandler.EventPriority;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class ProtectionFire extends Protection
{
    public ProtectionFire(Module m) 
    {
        super(m);
    }
    
    @SubscribeEvent(priority = EventPriority.HIGHEST)
    public void FireDestroyProtection(BlockEvent.BreakEvent e)
    {
        if(e.getBlock().getWorld().getEnvironment() != World.Environment.NETHER)
        {
            e.setCancelled(true);
        }    
    }
    
    @SubscribeEvent(priority = EventPriority.HIGHEST)
    public void FireIgniteProtection(BlockIgniteEvent e)
    {
        if(e.getCause() == BlockIgniteEvent.IgniteCause.FLINT_AND_STEEL)
        {
            return;
        }
        if(e.getBlock().getWorld().getEnvironment() != World.Environment.NETHER)
        {
            e.setCancelled(true);
        }   
    }
    
    @SubscribeEvent(priority = EventPriority.HIGHEST)
    public void FireSpreadProtection(BlockSpreadEvent e)
    {
        if(e.getSource().getType() == Material.FIRE)
        {
            if(e.getBlock().getWorld().getEnvironment() != World.Environment.NETHER)
            {
                e.setCancelled(true);
            } 
        }  
    }
}
