package me.km.utils;

import java.lang.reflect.Field;
import net.minecraft.entity.passive.EntityVillager;

public class ReflectionUtils 
{    
    public static void setCareerLevel(EntityVillager v, int level)
    {
        try
        {
            Field f = EntityVillager.class.getDeclaredField("careerLevel");
            {
                try
                {
                    f.setAccessible(true);
                    f.setInt(v, level);
                }
                catch(SecurityException | IllegalArgumentException | IllegalAccessException ex)
                {
                    System.out.println("setCareerLevel - " + ex);
                }
            }
        }
        catch(NoSuchFieldException | SecurityException ex)
        {
            System.out.println("setCareerLevel - " + ex);
        }
    }
}
